
typedef struct
{
    const GUID	*guid;
    char	szName[64];
}GUIDINFO;
GUIDINFO videosubtypes[] = {
    &MEDIASUBTYPE_YVU9              ,TEXT("YVU9\0"),
    &MEDIASUBTYPE_Y411              ,TEXT("YUV 411\0"),
    &MEDIASUBTYPE_Y41P              ,TEXT("Y41P\0"),
    &MEDIASUBTYPE_YUY2              ,TEXT("YUY2\0"),
    &MEDIASUBTYPE_YVYU              ,TEXT("YVYU\0"),
    &MEDIASUBTYPE_UYVY              ,TEXT("UYVY\0"),
    &MEDIASUBTYPE_Y211              ,TEXT("YUV 211\0"),
    &MEDIASUBTYPE_CLJR              ,TEXT("Cirrus YUV 411\0"),
    &MEDIASUBTYPE_IF09              ,TEXT("Indeo YVU9\0"),
    &MEDIASUBTYPE_CPLA              ,TEXT("Cinepak UYVY\0"),
    &MEDIASUBTYPE_MJPG              ,TEXT("Motion JPEG\0"),
    &MEDIASUBTYPE_TVMJ              ,TEXT("TrueVision MJPG\0"),
    &MEDIASUBTYPE_WAKE              ,TEXT("MJPG (Wake)\0"),
    &MEDIASUBTYPE_CFCC              ,TEXT("MJPG (CFCC)\0"),
    &MEDIASUBTYPE_IJPG              ,TEXT("Intergraph JPEG\0"),
    &MEDIASUBTYPE_Plum              ,TEXT("Plum MJPG\0"),
    &MEDIASUBTYPE_RGB1              ,TEXT("RGB1 (Palettized)\0"),
    &MEDIASUBTYPE_RGB4              ,TEXT("RGB4 (Palettized)\0"),
    &MEDIASUBTYPE_RGB8              ,TEXT("RGB8 (Palettized)\0"),
    &MEDIASUBTYPE_RGB565            ,TEXT("RGB565\0"),
    &MEDIASUBTYPE_RGB555            ,TEXT("RGB555\0"),
    &MEDIASUBTYPE_RGB24             ,TEXT("RGB24\0"),
    &MEDIASUBTYPE_RGB32             ,TEXT("RGB32\0"),
    &MEDIASUBTYPE_ARGB32            ,TEXT("ARGB32\0"),
    &MEDIASUBTYPE_Overlay           ,TEXT("Overlay video (from HW)\0"),
    &MEDIASUBTYPE_QTMovie           ,TEXT("Apple QuickTime\0"),
    &MEDIASUBTYPE_QTRpza            ,TEXT("QuickTime RPZA\0"),
    &MEDIASUBTYPE_QTSmc             ,TEXT("QuickTime SMC\0"),
    &MEDIASUBTYPE_QTRle             ,TEXT("QuickTime RLE\0"),
    &MEDIASUBTYPE_QTJpeg            ,TEXT("QuickTime JPEG\0"),
    &MEDIASUBTYPE_dvsd              ,TEXT("Standard DV\0"),
    &MEDIASUBTYPE_dvhd              ,TEXT("High Definition DV\0"),
    &MEDIASUBTYPE_dvsl              ,TEXT("Long Play DV\0"),
    &MEDIASUBTYPE_MPEG1Packet       ,TEXT("MPEG1 Video Packet\0"),
    &MEDIASUBTYPE_MPEG1Payload      ,TEXT("MPEG1 Video Payload\0"),
    &MEDIASUBTYPE_VPVideo           ,TEXT("Video port video\0"),
    &MEDIASUBTYPE_VPVBI             ,TEXT("Video port VBI\0"),
	&MEDIASUBTYPE_None              ,TEXT("none\0"),
	&MEDIASUBTYPE_AnalogVideo_NTSC_M   ,TEXT("(M) NTSC\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_B    ,TEXT("(B) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_D    ,TEXT("(D) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_G    ,TEXT("(G) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_H    ,TEXT("(H) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_I    ,TEXT("(I) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_M    ,TEXT("(M) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_PAL_N    ,TEXT("(N) PAL\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_B  ,TEXT("(B) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_D  ,TEXT("(D) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_G  ,TEXT("(G) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_H  ,TEXT("(H) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_K  ,TEXT("(K) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_K1 ,TEXT("(K1) SECAM\0"),
    &MEDIASUBTYPE_AnalogVideo_SECAM_L  ,TEXT("(L) SECAM\0"),
	&MEDIASUBTYPE_DVD_SUBPICTURE        ,TEXT("DVD Subpicture\0"),
    &MEDIASUBTYPE_DVD_LPCM_AUDIO        ,TEXT("DVD Audio (LPCM)\0"),
    &MEDIASUBTYPE_DOLBY_AC3             ,TEXT("Dolby AC3\0"),
    &MEDIASUBTYPE_MPEG2_AUDIO           ,TEXT("MPEG-2 Audio\0"),
    &MEDIASUBTYPE_MPEG2_TRANSPORT       ,TEXT("MPEG-2 Transport Stream\0"),
    &MEDIASUBTYPE_MPEG2_PROGRAM         ,TEXT("MPEG-2 Program Stream\0"),
	&MEDIASUBTYPE_AIFF              ,TEXT("AIFF\0"),
    &MEDIASUBTYPE_Asf               ,TEXT("ASF\0"),
    &MEDIASUBTYPE_Avi               ,TEXT("AVI\0"),
    &MEDIASUBTYPE_AU                ,TEXT("AU\0"),
    &MEDIASUBTYPE_DssAudio          ,TEXT("DSS Audio\0"),
    &MEDIASUBTYPE_DssVideo          ,TEXT("DSS Video\0"),
    &MEDIASUBTYPE_MPEG1Audio        ,TEXT("MPEG1 Audio\0"),
    &MEDIASUBTYPE_MPEG1System       ,TEXT("MPEG1 System\0"),
    &MEDIASUBTYPE_MPEG1Video        ,TEXT("MPEG1 Video\0"),
    &MEDIASUBTYPE_MPEG1VideoCD      ,TEXT("MPEG1 VideoCD\0"),
    &MEDIASUBTYPE_WAVE              ,TEXT("Wave\0"),
	&MEDIASUBTYPE_PCM           ,TEXT("PCM audio\0"), 
    &MEDIASUBTYPE_MPEG1Packet   ,TEXT("MPEG1 Audio Packet\0"), 
    &MEDIASUBTYPE_MPEG1Payload  ,TEXT("MPEG1 Audio Payload\0"), 
	&MEDIASUBTYPE_Line21_BytePair       ,TEXT("BytePairs\0"),
    &MEDIASUBTYPE_Line21_GOPPacket      ,TEXT("DVD GOP Packet\0"),
    &MEDIASUBTYPE_Line21_VBIRawData     ,TEXT("VBI Raw Data\0")
};